Welcome to Doom9's Forum, THE in-place to be for everyone interested in DVD conversion.

Before you start posting please read the forum rules. By posting to this forum you agree to abide by the rules.

 

Go Back   Doom9's Forum > Capturing and Editing Video > VapourSynth

Reply
 
Thread Tools Search this Thread Display Modes
Old 6th April 2018, 16:59   #101  |  Link
Selur
Registered User
 
Selur's Avatar
 
Join Date: Oct 2001
Location: Germany
Posts: 5,627
Since it's more a general Python extension and not really Vapoursynth specific, I don't think that it really should be part of the package, but in case l33tmeatwad wants to add it I put it on the 'maintenance list' .
__________________
Hybrid here in the forum, homepage
Selur is online now   Reply With Quote
Old 7th April 2018, 06:38   #102  |  Link
Selur
Registered User
 
Selur's Avatar
 
Join Date: Oct 2001
Location: Germany
Posts: 5,627
btw. for those interested I adjusted the scripts over at https://github.com/Selur/VapoursynthScriptsInHybrid to only use eedi3m and znedi3 when they are available and use the default eedi3 and nnedi3 otherwise, so they should work fine with the installer.
simply place them into your '/Library/Frameworks/VapourSynth.framework/lib/python3.6/site-packages/' folder

Cu Selur
__________________
Hybrid here in the forum, homepage
Selur is online now   Reply With Quote
Old 8th April 2018, 15:01   #103  |  Link
l33tmeatwad
Registered User
 
l33tmeatwad's Avatar
 
Join Date: Jun 2007
Posts: 147
Quote:
Originally Posted by Mad_Hatter View Post
What I meant was NumPy proper, since the installer also has its own site-packages folder in which you have to put all libraries you want to use(for example some functions which use arange would throw an error since numpy is missing, even if it's correctly installed by pip). Might be me doing something wrong however.
The VapourSynth install has it's own python separate from the system python. I can try to get it setup, but I will need some way to test it if you could provide something.
l33tmeatwad is offline   Reply With Quote
Old 8th April 2018, 16:34   #104  |  Link
Mad_Hatter
N00b
 
Join Date: Aug 2011
Location: Loli Island
Posts: 9
Quote:
Originally Posted by l33tmeatwad View Post
The VapourSynth install has it's own python separate from the system python. I can try to get it setup, but I will need some way to test it if you could provide something.
Sure. Put kagefunc.py into vapoursynth site-packages, create new script importing it and use adaptive_grain(). The script would end up looking like this:
Quote:
import vapoursynth as vs
from vapoursynth import core
import kagefunc as kgf
src = core.std.BlankClip(format=vs.YUV420P8, length=1000, color=[255, 128, 128])
final = kgf.adaptive_grain(src)
final.set_output()
Mad_Hatter is offline   Reply With Quote
Old 10th April 2018, 04:49   #105  |  Link
foxyshadis
ангел смерти
 
foxyshadis's Avatar
 
Join Date: Nov 2004
Location: Lost
Posts: 9,380
Off topic but thanks for pointing me to kagefunc, there's some cool stuff in there.
__________________
There are four boxes to be used in defense of liberty: soap, ballot, jury, and ammo. Please use in that order. ~ Ed Howdershelt
foxyshadis is offline   Reply With Quote
Old 15th May 2018, 17:51   #106  |  Link
Mad_Hatter
N00b
 
Join Date: Aug 2011
Location: Loli Island
Posts: 9
Is there any update on wobbly addition? Since compiling it manually causes it to fail even with --prefix=/Library/Frameworks/VapourSynth.framework
Mad_Hatter is offline   Reply With Quote
Old 15th May 2018, 18:18   #107  |  Link
Selur
Registered User
 
Selur's Avatar
 
Join Date: Oct 2001
Location: Germany
Posts: 5,627
afaik l33tmeatwad is out of order atm. due to personal reasons.
Hopefully he'll be back soon.
__________________
Hybrid here in the forum, homepage
Selur is online now   Reply With Quote
Old 17th May 2018, 14:52   #108  |  Link
l33tmeatwad
Registered User
 
l33tmeatwad's Avatar
 
Join Date: Jun 2007
Posts: 147
I will attempt to get back onto adding things to this pack as soon as I can, however some will be more complicated than others as not all are out of the box ready to compile on macOS. Wobbly for example, is not setup in a way to compile to an .app package for macOS, which makes things complicated when it comes to releasing it as part of this package. I have successfully compiled it before and had it working before via command prompt to launch it, but I need to adjust it to work as a .app so it's easier to distribute. The plugins that are more complicated or that refuse to compile will go on the delayed list so I can get as much added as possible and I will revisit the others as I have time to figure them out. If anyone else is able to help compile things that can be added (using macOS 10.10) please contact me, it would a huge help to this project.
l33tmeatwad is offline   Reply With Quote
Old 13th June 2018, 18:10   #109  |  Link
Selur
Registered User
 
Selur's Avatar
 
Join Date: Oct 2001
Location: Germany
Posts: 5,627
@mods: please close thread and its superseded by
https://forum.doom9.org/showthread.php?p=1844449
__________________
Hybrid here in the forum, homepage
Selur is online now   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT +1. The time now is 04:19.


Powered by vBulletin® Version 3.8.11
Copyright ©2000 - 2018, vBulletin Solutions Inc.